Commit 17cbf681 authored by Felix Paul Kühne's avatar Felix Paul Kühne
Browse files

contribs: bootstrap dirac on Darwin, so we don't need to update libtool

parent dfe86c19
......@@ -2211,7 +2211,11 @@ ifdef HAVE_CYGWIN
# incorrect compile warning with cygwin compiler 3.4.4
patch -p0 <Patches/dirac-cygwin.patch
endif
ifndef HAVE_DARWIN_OS
(cd $@; aclocal -I m4 && autoconf && automake)
else
(cd $@; ./bootstrap)
endif
DIRAC_SUBDIRS = libdirac_byteio libdirac_common libdirac_motionest libdirac_encoder libdirac_decoder
......@@ -2486,7 +2490,12 @@ liboil: liboil-$(OIL_VERSION).tar.gz
$(EXTRACT_GZ)
.liboil: liboil
(cd $<; $(HOSTCC) ./configure $(HOSTCONF) --prefix=$(PREFIX) CFLAGS="$(CFLAGS) -O2" && make && make install)
ifdef HAVE_DARWIN_OS
(cd $<; $(HOSTCC) ./configure $(HOSTCONF) --disable-glib --prefix=$(PREFIX) CFLAGS="$(CFLAGS) -O4")
else
(cd $<; $(HOSTCC) ./configure $(HOSTCONF) --prefix=$(PREFIX) CFLAGS="$(CFLAGS) -O2")
endif
(cd $<; make && make install)
touch $@
CLEAN_FILE += .liboil
......
......@@ -40,9 +40,8 @@ GNUMAKE_VERSION=3.81
GNUMAKE_URL=$(GNU)/make/make-$(GNUMAKE_VERSION).tar.bz2
CMAKE_VERSION=2.6.0
CMAKE_URL=http://www.cmake.org/files/v2.6/cmake-$(CMAKE_VERSION).tar.gz
LIBTOOL_VERSION=2.2.6
#LIBTOOL_URL=$(GNU)/libtool/libtool-$(LIBTOOL_VERSION).tar.gz
LIBTOOL_URL=$(VIDEOLAN)/testing/contrib/libtool-$(LIBTOOL_VERSION).tar.gz
LIBTOOL_VERSION=1.5.26
LIBTOOL_URL=$(GNU)/libtool/libtool-$(LIBTOOL_VERSION).tar.gz
AUTOMAKE_VERSION=1.10.2
AUTOMAKE_URL=$(GNU)/automake/automake-$(AUTOMAKE_VERSION).tar.gz
PKGCFG_VERSION=0.20
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment